6.0.0-git
2019-06-20

[#4574] XMPP/Jabber Support
Summary XMPP/Jabber Support
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2006-10-28 (4618 days ago)
Due
Updated 2017-11-10 (587 days ago)
Assigned
Resolved
Milestone
Patch No

History
2017-11-10 23:32:51 ramack (at) raphael-mack (dot) de Comment #13 Reply to this comment
Is there any progress? - It would be really great to have XMPP / 
Jabber integrated into horde!
2016-07-05 14:23:54 mhxp (at) ee (dot) auth (dot) gr Comment #12 Reply to this comment
I asked the developer if he could help make that happen for
Horde, but he apparently ran into some kind of roadblock (see
https://github.com/sualko/jsxc/issues/61).
I would point him at http://wiki.horde.org/CreatingYourFirstModule 
and the mailing list (and the archives).
Starting with the tutorial above, I have created such a module using 
Converse.js
This is my first attempt using the horde framework, very minimal work 
and I am not sure about a lot of things, but I thought I should share 
it in case someone more experienced can contribute. I have tested it 
with Horde groupware 5.2.13 and ejabberd. It's just an application, I 
am not sure that the chatbox can be visible in all applications 
without patching horde...

https://bitbucket.org/mhxp/conversejs-horde

2014-11-06 22:18:38 Michael Slusarz Comment #11 Reply to this comment
I asked the developer if he could help make that happen for Horde, 
but he apparently ran into some kind of roadblock (see 
https://github.com/sualko/jsxc/issues/61).
I would point him at http://wiki.horde.org/CreatingYourFirstModule and 
the mailing list (and the archives).
2014-11-06 16:11:41 registrations (at) baruchgreen (dot) net Comment #10 Reply to this comment
Just noting another web-based xmpp client that could possibly be 
incorporated -- jsxc (https://www.jsxc.org/).  It's actually designed 
to be incorporated into other web applications and use their 
authentication (he's got implementations for SOGo, OwnCloud and 
Ilias).  I asked the developer if he could help make that happen for 
Horde, but he apparently ran into some kind of roadblock (see 
https://github.com/sualko/jsxc/issues/61).  I certainly don't have the 
skills to make this happen, but between Horde having a modular design 
and jsxc being designed to plug into other web applications, I'm 
hoping that for someone who knows what their doing, this shouldn't be 
TOO hard.

2014-01-07 19:47:11 Michael Slusarz Comment #9 Reply to this comment
This feature request has been accepted, but that doesn't mean that it 
is going to be implemented by the developers.  AFAIK, no developer 
even has this on their radar.

If someone really wants this, it would be great if they could provide a patch.
2014-01-07 16:05:13 alanl (at) azblink (dot) com Comment #8 Reply to this comment

[Show Quoted Text - 18 lines]
It is great, that is feature enhancement is accepted by core team.

Besides, above information, I bet, core team may already know that the 
following javascript is also helpful.
http://strophe.im/strophejs/?utm_source=twitterfeed&utm_medium=twitter
https://conversejs.org

Especially, the converse is very good fit to Horde (by placing it onto 
many horde service pages... to provide experience like Facebook chat.)
The xmpp javascript client can work with ejabberd... if it is the xmpp 
back end server.
This could be another alternative to php.


2014-01-06 20:26:54 registrations (at) baruchgreen (dot) net Comment #7 Reply to this comment
Can't say that I've got any relevant developer experience/abilities, 
but I note that roundcube has a number of plugins for xmpp 
(http://rahul.amaram.name/blog/2010/09/05/integrating-ijab-roundcube
http://code.google.com/p/jappix4roundcube/
https://github.com/priyadi/roundcube-converse.js-xmpp-plugin).  Since 
they are also primarily php/pear based, my utterly uninformed guess 
would be that a lot of the gruntwork might already embodied in those 
projects.

Please don't think that this means I'm flogging roundcube as an 
alternative than Horde.  There are a LOT of things Horde does well 
that Roundcube does badly or not at all (in particular, providing for 
synchronization of calendars/addressbooks across multiple devices as 
well as the web interface).  But nothing wrong with building off of 
their efforts if they've done something that could be helpful in this 
context as well.

Just my (again, uninformed) $.02
2013-09-18 17:32:17 alanl (at) azblink (dot) com Comment #6 Reply to this comment
It would be great if Horde made me my breakfast too.

But there has been zero interest in this feature as a critical 
component from anyone else.  So it would be great if you could 
provide patches to implement this.  Short of funding development, 
that's the only way any current developer is going to look at this.
First of all, I am not sure if there is zero interest for this 
feature enhancement.
A lot of commercial web based mail client has added the text chatting feature.
Regarding to the funding, what is the minimum funding needed to start 
this development?

2013-09-18 14:44:49 Michael Slusarz Comment #5
Milestone ⇒
Reply to this comment
It would be great if Horde made me my breakfast too.

But there has been zero interest in this feature as a critical 
component from anyone else.  So it would be great if you could provide 
patches to implement this.  Short of funding development, that's the 
only way any current developer is going to look at this.
2013-09-18 11:10:59 alanl (at) azblink (dot) com Comment #4 Reply to this comment
Horde groupware has become a very good email web client... and other 
groupware function.
By expanding it more to compare against other Groupware package, some 
commercial one like Zimbra has add XMPP support in its web client.
With the recently WebRTC become populated among Web Conference.
If Horde can also add these two into the release, then, Horde will 
become a "always on" Web communication tools.
i.e. XMPP chat + WebRTC (SIP). Most of the back end system (besides 
mail server),  Ejabberd and Asterisk are very popular...

By enhancing Horde in this direction, Horde will become "Unified 
Communication" Client...
2012-02-06 15:31:24 Chuck Hagenbuch Comment #3
Taken from Chuck Hagenbuch
Reply to this comment
I'm interested, too, but not actively working on this, so unassigning 
from myself.
2012-02-06 14:56:13 Ralf Lang (B1 Systems GmbH) Comment #2
Version ⇒ Git master
Reply to this comment
I'm interested in this. No idea what Jan's server is but I have been 
searching for viable xmpp php packages for a while. There is one 
implementation on google code, but the author seems to have abandoned 
the PHP version in favor of python and doesn't answer mail.

Updating the ticket to "git master" queue.
2008-11-09 02:26:04 Chuck Hagenbuch Assigned to Chuck Hagenbuch
State ⇒ Accepted
 
2007-05-13 04:11:04 Chuck Hagenbuch State ⇒ Stalled
 
2006-10-28 18:19:03 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ XMPP/Jabber Support
Queue ⇒ Horde Framework Packages
Reply to this comment
Jabber notifications integrated with Jan's upcoming notification 
server, perhaps other uses as well.



http://pear.midcom-project.org/index.php?package=org_openpsa_notifications

http://www.livejournal.com/ljtalk/

Saved Queries